Loading...
Searching...
No Matches
numeric_limits< openvdb::math::internal::half > Class Reference

`#include <openvdb/math/Half.h>`

## Static Public Member Functions

static constexpr openvdb::math::internal::half | min () noexcept
static constexpr openvdb::math::internal::half | max () noexcept
static constexpr openvdb::math::internal::half | lowest ()
static constexpr openvdb::math::internal::half | epsilon () noexcept
static constexpr openvdb::math::internal::half | round_error () noexcept
static constexpr openvdb::math::internal::half | infinity () noexcept
static constexpr openvdb::math::internal::half | quiet_NaN () noexcept
static constexpr openvdb::math::internal::half | signaling_NaN () noexcept
static constexpr openvdb::math::internal::half | denorm_min () noexcept

## Static Public Attributes

static const bool | is_specialized = true
static constexpr int | digits = 11
static constexpr int | digits10 = 3
static constexpr int | max_digits10 = 5
static constexpr bool | is_signed = true
static constexpr bool | is_integer = false
static constexpr bool | is_exact = false
static constexpr int | radix = 2
static constexpr int | min_exponent = -13
static constexpr int | min_exponent10 = -4
static constexpr int | max_exponent = 16
static constexpr int | max_exponent10 = 4
static constexpr bool | has_infinity = true
static constexpr bool | has_quiet_NaN = true
static constexpr bool | has_signaling_NaN = true
static constexpr float_denorm_style | has_denorm = denorm_present
static constexpr bool | has_denorm_loss = false
static constexpr bool | is_iec559 = false
static constexpr bool | is_bounded = false
static constexpr bool | is_modulo = false
static constexpr bool | traps = true
static constexpr bool | tinyness_before = false
static constexpr float_round_style | round_style = round_to_nearest

## Member Function Documentation

## denorm_min()

constexpr openvdb::math::internal::half denorm_min | ( |  | ) |

inline static constexpr noexcept

## epsilon()

constexpr openvdb::math::internal::half epsilon | ( |  | ) |

inline static constexpr noexcept

## infinity()

constexpr openvdb::math::internal::half infinity | ( |  | ) |

inline static constexpr noexcept

## lowest()

constexpr openvdb::math::internal::half lowest | ( |  | ) |

inline static constexpr

## max()

constexpr openvdb::math::internal::half max | ( |  | ) |

inline static constexpr noexcept

## min()

constexpr openvdb::math::internal::half min | ( |  | ) |

inline static constexpr noexcept

## quiet_NaN()

constexpr openvdb::math::internal::half quiet_NaN | ( |  | ) |

inline static constexpr noexcept

## round_error()

constexpr openvdb::math::internal::half round_error | ( |  | ) |

inline static constexpr noexcept

## signaling_NaN()

constexpr openvdb::math::internal::half signaling_NaN | ( |  | ) |

inline static constexpr noexcept

## Member Data Documentation

## digits

int digits = 11

static constexpr

## digits10

int digits10 = 3

static constexpr

## has_denorm

float_denorm_style has_denorm = denorm_present

static constexpr

## has_denorm_loss

bool has_denorm_loss = false

static constexpr

## has_infinity

bool has_infinity = true

static constexpr

## has_quiet_NaN

bool has_quiet_NaN = true

static constexpr

## has_signaling_NaN

bool has_signaling_NaN = true

static constexpr

## is_bounded

bool is_bounded = false

static constexpr

## is_exact

bool is_exact = false

static constexpr

## is_iec559

bool is_iec559 = false

static constexpr

## is_integer

bool is_integer = false

static constexpr

## is_modulo

bool is_modulo = false

static constexpr

## is_signed

bool is_signed = true

static constexpr

## is_specialized

const bool is_specialized = true

static

## max_digits10

int max_digits10 = 5

static constexpr

## max_exponent

int max_exponent = 16

static constexpr

## max_exponent10

int max_exponent10 = 4

static constexpr

## min_exponent

int min_exponent = -13

static constexpr

## min_exponent10

int min_exponent10 = -4

static constexpr

## radix

int radix = 2

static constexpr

## round_style

float_round_style round_style = round_to_nearest

static constexpr

## tinyness_before

bool tinyness_before = false

static constexpr

## traps

bool traps = true

static constexpr